// parsref.cpp - Paso de parámetros por referencia
#include <iostream>

void permutar( int &, int & );

int main()
{
  int a = 10, b = 20;

  permutar( a, b );
  printf("a = %d, b = %d\n", a, b);
}

// Utilizando referencias. rx y ry son referencias a
// los correspondientes parámetros actuales a y b
void permutar( int& rx, int& ry )
{
  int z = rx;
  rx = ry;
  ry = z;
}

